<?php

namespace App\Http\Controllers\Attendence;

use App\Http\Controllers\Controller;
use App\Models\Attendence;
use App\Models\Employee;
use App\Models\EmployeeMonths;
use App\Models\Month;
use Illuminate\Http\Request;
use DateTime;


class MonthController extends Controller
{
    public function __construct()
    {
        $this->middleware(['auth']);
        $this->middleware(['role']);
    }
    
    public function index($id){
        $data = EmployeeMonths::where("employee_id", $id)->paginate(12);
        $empolyee = Employee::withTrashed()->where('id', $id)->first();
        // dd($empolyee);
        return view('attendence.all_months')->with(['data'=>$data, 'employee'=>$empolyee]);
    }




    public  function createMonth($id){
       
        $date = new DateTime();
        $month_first = $date->format("Y-m-01");
        $month = $date->format("m");
        $year = $date->format("Y");
        $month_name = $date->format("F");
        $month_year = $date->format("m-Y");
        $month_days= cal_days_in_month(CAL_GREGORIAN,$month,$year);

        $res = $this->getMonth($year, $month);

        $isMonthcreated = Month::where("month_year", $month_year)->first();

        if(!$isMonthcreated):
           Month::create([
                "month_name"=>$month_name,
                "month_days"=>$month_days,
                "year"=>$year,
                "month_year"=>$month_year,
                ]);
        endif;


        $data=[];

        foreach($res as $item){

            array_push($data,[
                "dayTimestamp"=>$item,
                "date"=>date("Y-m-d", $item),
                "arrival"=>"",
                "break"=>"",
                "departure"=>"",
                "worked"=>"",
                "overtime"=>"",
                "day_name"=>date('l', $item),
                "month_year"=>$month_year,
                "month_name"=>$month_name,
                "year"=>$year,
                "employee_id"=>$id,
                "created_at"=>now(),
                "updated_at"=>now(),
                "absent"=>"",
                "comment"=>"",
                // "day"=>$item->day,
            ]);

        }
        EmployeeMonths::create([
            "month_name"=>$month_name,
            "month_days"=>$month_days,
            "year"=>$year,
            "month_year"=>$month_year,
            "employee_id"=>$id,
            "work_days"=>"",
            "work_hours"=>"",
            "hours_worked"=>"",
            "ot_hours"=>"",
            "basic_salary"=>"",
            "hourly_rate"=>"",
            "overTime_amount"=>"",
            "relief_amount"=>"",
            "official_offs"=>"",
            "saturday_status"=>"on",
            "advances_cancellations"=>"",
            "bonus_reward"=>"",
            "salary_payable"=>"",                   
                     ]);
        Attendence::insert($data);

        return true;

    }
    public function createMonthAllEmployees(){
        $date = new DateTime();
        $month_first = $date->format("Y-m-01");
        $month = $date->format("m");
        $year = $date->format("Y");
        $month_name = $date->format("F");
        $month_year = $date->format("m-Y");
        $month_days= cal_days_in_month(CAL_GREGORIAN,$month,$year);
       

        $exist_month = Month::where('month_year', $month_year)->first();
        if(!$exist_month){
            Month::create([
                "month_name"=>$month_name,
                "month_days"=>$month_days,
                "year"=>$year,
                "month_year"=>$month_year,
            ]);
        }

        $allEmployees =  Employee::get();

        $res = $this->getMonth($year, $month);
        foreach ($allEmployees as $empolyee) {
            $isEmployeeMonthcreated = EmployeeMonths::where("month_year", $month_year)
                ->where("employee_id", $empolyee->id)
                ->first();
            if (!$isEmployeeMonthcreated) :
                $data = [];

                foreach ($res as $item) {

                    array_push($data, [
                        "dayTimestamp" => $item,
                        "date" => date("Y-m-d", $item),
                        "arrival" => "",
                        "break" => "",
                        "departure" => "",
                        "worked" => "",
                        "overtime" => "",
                        "day_name" => date('l', $item),
                        "month_year" => $month_year,
                        "month_name" => $month_name,
                        "year" => $year,
                        "employee_id" => $empolyee->id,
                        "created_at" => now(),
                        "updated_at" => now(),
                        "absent" => "",
                        "comment" => "",
                        // "day"=>$item->day,
                    ]);
                }
                EmployeeMonths::create([
                    "month_name" => $month_name,
                    "month_days" => $month_days,
                    "year" => $year,
                    "month_year" => $month_year,
                    "employee_id" => $empolyee->id,
                    "work_days" => "",
                    "work_hours" => "",
                    "hours_worked" => "",
                    "ot_hours" => "",
                    "basic_salary" => "",
                    "hourly_rate" => "",
                    "overTime_amount" => "",
                    "relief_amount" => "",
                    "official_offs" => "",
                    "bonus_reward" => "",
                    "saturday_status" => "on",
                    "advances_cancellations" => "",
                    "salary_payable" => "",
                ]);
                Attendence::insert($data);
            endif;
        }

            
            
          
        
    }

    public function updateEmployeeMonth (Request $request, $id, $month){
        $empolyeeMonth = EmployeeMonths::where("employee_id", $id)
                                ->where("month_year", $month)
                                ->update([
                                "work_days"=>$request->work_days ?? "",
                                "work_hours"=>$request->work_hours ?? "",
                                "hours_worked"=>$request->hours_worked ??"",
                                "ot_hours"=>$request->ot_hours ?? "",
                                "basic_salary"=>$request->basic_salary ??"",
                                "hourly_rate"=> $request->hourly_rate ?? "",
                                "overTime_amount"=> $request->overTime_amount ?? "",
                                "relief_amount"=> $request->relief_amount ?? "",
                                "advances_cancellations"=> $request->advances_cancellations ?? "",
                                "bonus_reward"=> $request->bonus_reward ?? "",
                                "salary_payable"=> $request->salary_payable ?? "",
                                "official_offs"=> $request->official_offs ?? "",
                            ]);
                            return $empolyeeMonth ? "true" : "false"; 
    }
    public function updateSatStatus (Request $request, $id, $month){
        $empolyeeMonth = EmployeeMonths::where("employee_id", $id)
                                ->where("month_year", $month)
                                ->update([
                                "saturday_status"=>$request->saturday_status ?? "",
                            ]);
                        if($request->saturday_status === "off"){
                            Attendence::where("employee_id", $id)
                            ->where("month_year", $month)
                            ->where("day_name", "Saturday")
                            ->update([
                            "arrival"=>"",
                            "break"=>"",
                            "departure"=>"",
                            "worked"=> "",
                            "overtime"=>"",
                        ]);               
                        }
                        return $empolyeeMonth ? "true" : "false"; 
    }
    public function getMonth($year, $month) {

        // this calculates the last day of the given month
        $last=cal_days_in_month(CAL_GREGORIAN, $month, $year);
    
        $date=new DateTime();
        $res=Array();
    
        // iterates through days
        for ($day=1;$day<=$last;$day++) {
                $date->setDate($year, $month, $day);
            
                $res[$day]=$date->getTimestamp();
               

                // $res[$day]=[
                //     "day"=>$date->format("l"),
                //     "date"=>$date->getTimestamp(),
                //     // "date"=>$date->format("D,M d,Y"),
                // ];
        }
        return $res;
    }

   
}
