<?php

namespace App\Http\Controllers\Auth;
use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class LoginController extends Controller
{   
    public function __construct()
    {
        $this->middleware(['guest']);
    }

    public function index(){
        $users = User::first();
        
        
         if(!$users){

            return view('auth.registerUser');
        }
        
        return view('auth.login');
    }
    public function store(Request $request){
       
         // validate
         $this->validate($request, [
            'email'=>'required|email',
            'password'=>'required'
        ]);
            
        if(!auth()->attempt($request->only('email', 'password'), $request->remember)){

            return back()->with('status', 'Invalid Credentials');
        }
        
        return redirect()->route('dashboard');
    }

    public function registerUser(Request $request){
        // validate
        $users = User::find(1);
        if(!$users){

            $this->validate($request, [
                'name'=>'required|max:255',
                'username'=>'required|max:255',
                'email'=>'required|email|max:255',
                'password'=>'required|confirmed'
            ]);
            // store
            User::create([
                'name'=>$request->name,
                'email'=>$request->email,
                'username'=>$request->username,
                'password'=> Hash::make($request->password),
                "user_role"=>"super_admin"
            ]);
            // sign in
            // redirect
            return redirect()->route('dashboard');
        }
        return redirect()->route('login');
    }
}
