<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <title>Attendence Sheet</title>
</head>
<body>
  <table class="table table-bordered table-sm">
    <thead>
      <tr>
        <th scope="col">Name</th>
        <th scope="col" >Month</th> 
      </tr>
    </thead>
    <tbody>
        <tr>
          <th scope="row"  >{{$employee->name}}
            @if($employee->deleted_at !== null)
            (Inactive)
            @endif</th>
          <td >{{$month}}</td>
        </tr>
    </tbody>
  </table>
  <!-- /.content-header -->
    <table class="table table-bordered table-sm">
      <thead>
        <tr>
          <th scope="col" >Date</th>
          <th scope="col" >Arrival</th>
          <th scope="col" >Break</th>
          <th scope="col" >Departure</th>
          <th scope="col" >Worked</th>
          <th scope="col" >Over Time</th>
        </tr>
      </thead>
      <tbody>
        @foreach ($data as $item)
        @if($emp_month->saturday_status == "on")    
        <tr class="{{$item->day_name === 'Sunday' ? 'itSunday' :''}} day" >
          <th scope="row"class="timestamp" data-time = "{{$item->dayTimestamp}}" >{{date('D, M  d, Y', $item->dayTimestamp) }}</th>
          <td  >
          @if ($item->day_name !== "Sunday") 
          {{$item->arrival}}
          @else 
          OFF
          @endif
          </td>
          <td >
          @if ($item->day_name !== "Sunday") 
          {{ $item->break }}
          @else 
          OFF
          @endif
          </td>
          <td >
          @if ($item->day_name !== "Sunday") 
          {{ $item->departure }}
          @else 
          OFF
          @endif
          </td>
          @else
          <tr class="{{$item->day_name === 'Sunday' ||$item->day_name === 'Saturday' ? 'itSunday' :''}} day" >
            <th scope="row"class="timestamp" data-time = "{{$item->dayTimestamp}}" >{{date('D, M  d, Y', $item->dayTimestamp) }}</th>
            <td  >
            @if ($item->day_name !== "Sunday" && $item->day_name !== 'Saturday' ) 
            {{$item->arrival}}
            @else 
            OFF
            @endif
            </td>
            <td >
            @if ($item->day_name !== "Sunday" && $item->day_name !== 'Saturday') 
            {{ $item->break }}
            @else 
            OFF
            @endif
            </td>
            <td >
            @if ($item->day_name !== "Sunday" && $item->day_name !== 'Saturday') 
            {{ $item->departure }}
            @else 
            OFF
            @endif
            </td>
            @endif
          <td class="worked" > {{$item->worked }} </td>
          <td class="overtime"> {{$item->overtime}} </td>
        </tr>
        @endforeach
      </tbody>
    </table>
    <div class="mt-3">
      <table class="table table-bordered table-sm">
        <thead>
          <tr>
            <th scope="col">Name</th>
            <th scope="col" >Value</th> 
          </tr>
        </thead>
        <tbody>
            <tr>
              <th scope="row"  >Total Work Days</th>
              <td class = "t-w-d">{{$emp_month->work_days}}</td>
            </tr>
           
            <tr>
              <th scope="row"  >Total Work Hour</th>
              <td class = "t-w-h">{{$emp_month->work_hours}}</td>
            </tr>
            <tr>
              <th scope="row"  >Hours Worked</th>
              <td class = "t-h-w">{{$emp_month->hours_worked}}</td>
            </tr>
            <tr>
              <th scope="row"  >OverTime Hours</th>
              <td class = "o-t-h">{{$emp_month->ot_hours}}</td>
            </tr>
            <tr>
              <th scope="row"  >Basic Salary</th>
              <td > {{$emp_month->basic_salary}}
             </td>
            </tr>
            <tr>
              <th scope="row"  >Hourly Rate</th>
              <td class = "h-rate">{{$emp_month->hourly_rate}}</td>
            </tr>
            <tr>
              <th scope="row"  >Relief Amount</th>
              <td class = "r-amount">{{$emp_month->relief_amount}}</td>
            </tr>
            <tr>
              <th scope="row"  >OverTime</th>
              <td class = "o-t-s">{{$emp_month->overTime_amount}}</td>
            </tr>
            
            <tr>
              <th scope="row"  >Advances/Cancellations</th>
              <td class = "">{{$emp_month->advances_cancellations}}
           </td>
            </tr>
            <tr>
              <th scope="row"  >Salary this month</th>
              <td class = "s-t-m">{{$emp_month->salary_payable}}</td>
            </tr>
           
          
        </tbody>
      </table>
    </div>
</body>
</html>