@extends('layouts/loginlayout')
@section('content')
<div class="container">
    <div class="row justify-content-center align-items-center vh-100">
        <div class="col-lg-6 col-offset-3">
          @if (session('status'))
          <div class="alert alert-danger">
            {{session('status')}}
          </div>
        @endif
<div class="card card-primary mt-3">
    <div class="card-header">
      <h3 class="card-title">Register a User</h3>
    </div>
    <!-- /.card-header -->
    <!-- form start -->
    <form role="form" action="{{ route('registerUser') }}" method="POST">
        @csrf
      <div class="card-body">
        <div class="form-group">
            <label for="nameinput">Name</label>
            <input type="text" class="form-control" name="name" value="{{ old('name') }}" id="nameinput" placeholder="Enter Name Here...">
            @error('name')
                <div class="text-danger">
                    {{ $message }}
                </div>
            @enderror
        
        </div>
        <div class="form-group">
            <label for="emailinput">Email address</label>
            <input type="email" class="form-control" name="email" value="{{ old('email') }}" id="emailinput" placeholder="Enter email">
                @error('email')
                    <div class="text-danger">
                        {{ $message }}
                    </div>
                @enderror
        </div>
        <div class="form-group">
          <label for="usernameinput">Username</label>
          <input type="text" class="form-control" name="username" value="{{ old('username') }}" id="usernameinput" placeholder="Enter email">
             @error('username')
                    <div class="text-danger">
                        {{ $message }}
                    </div>
                @enderror
        </div>
        <div class="form-group">
          <label for="passwordinput">Password</label>
          <input type="password" class="form-control" name="password" id="passwordinput" placeholder="Password">
        </div>
                @error('password')
                    <div class="text-danger">
                        {{ $message }}
                    </div>
                @enderror
        <div class="form-group">
          <label for="confirmPassword">Password</label>
          <input type="password" class="form-control" name="password_confirmation" id="confirmPassword" placeholder="Password">
        </div>
        
      </div>
      <!-- /.card-body -->

      <div class="card-footer">
        <button type="submit" class="btn btn-primary btn-block">Register</button>
      </div>
    </form>
  </div>
  @endsection