<?php

use App\Http\Controllers\Attendence\AttendenceController;
use App\Http\Controllers\Attendence\MonthController;
use App\Http\Controllers\Auth\LogoutController;
use App\Http\Controllers\Auth\RegisterController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\Employees\EmployeesController;
use App\Http\Controllers\HomeController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



Route::get('/', [HomeController::class, "index"]);

Route::post('/registerUser', [LoginController::class, "registerUser"])->name('registerUser');

Route::get('/register', [RegisterController::class, "index"])->name('register');
Route::post('/register', [RegisterController::class, "store"])->name('register');

Route::get('/allusers', [RegisterController::class, "allUsers"])->name('all_users');

Route::post('/updateUser/{id}', [RegisterController::class, "update"])->name('update_user');
Route::get('/editusers/{id}', [RegisterController::class, "editUser"])->name('edit_user');
Route::delete('/user/delete/', [RegisterController::class, "destroy"])->name('user.delete');


Route::get('/login', [LoginController::class, "index"])->name('login');
Route::post('/login', [LoginController::class, "store"])->name('login');

Route::post('/logout', [LogoutController::class, "store"])->name('logout');

Route::get('/dashboard', [DashboardController::class, "index"])->name('dashboard');
Route::get('/employee_dashboard', [DashboardController::class, "emp_dashboard"])->name('emp_dashboard');

Route::get('/employee/add', [EmployeesController::class, "create"])->name('employee_add');
Route::post('/employee/add', [EmployeesController::class, "store"])->name('employee_add');

Route::get('/employee/all', [EmployeesController::class, "index"])->name('employee_all');
Route::get('/employee/deleted', [EmployeesController::class, "deletedEmployees"])->name('employee_deleted');

Route::get('/employee/edit/{id}', [EmployeesController::class, "edit"])->name('employee.edit');
Route::post('/employee/update/{id}', [EmployeesController::class, "update"])->name('employee.update');

Route::get('/employee/detail/{id}', [EmployeesController::class, "show"])->name('employee.detail');
Route::delete('/employee/delete/', [EmployeesController::class, "destroy"])->name('employee.delete');

Route::get('/attendence/all/', [AttendenceController::class, "index"])->name('attendence.all');
Route::get('/attendence/today/', [AttendenceController::class, "attendenceToday"])->name('attendence.allToday');
Route::get('/attendence/today/set', [AttendenceController::class, "attendenceTodaySet"])->name('attendence.allTodaySet');
Route::get('/attendence/{id}/{month}', [AttendenceController::class, "currentMonth"])->name('attendence.today');
Route::put('/attendence/update/{id}', [AttendenceController::class, "update"]);
Route::put('/attendence/setAbsent/{id}', [AttendenceController::class, "setAbsent"]);
Route::get('/months/{id}', [MonthController::class, "index"])->name('months');
Route::put('/months/updateMonth/{id}/{month}', [MonthController::class, "updateEmployeeMonth"]);

Route::put('/months/updateSatStatus/{id}/{month}', [MonthController::class, "updateSatStatus"]);

// Route::get('/months/create', [MonthController::class, "createMonth"])->name('months.create');